Update customer
curl --request PATCH \
--url https://api.parceltracer.com/v1/external/customers/{id}/ \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"name": "<string>",
"phone_number": "<string>",
"secondary_phone_number": "<string>",
"email": "jsmith@example.com"
}
'import requests
url = "https://api.parceltracer.com/v1/external/customers/{id}/"
payload = {
"name": "<string>",
"phone_number": "<string>",
"secondary_phone_number": "<string>",
"email": "jsmith@example.com"
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
phone_number: '<string>',
secondary_phone_number: '<string>',
email: 'jsmith@example.com'
})
};
fetch('https://api.parceltracer.com/v1/external/customers/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 9721,
"name": "Joe",
"phone_number": "+9617322112",
"secondary_phone_number": "",
"email": "joe@email.com"
}{
"error": "true",
"message": "Validation failed.",
"details": "phone_number: This field is required."
}{
"error": "true",
"message": "Resource not found.",
"details": "detail: Not found."
}{
"error": "true",
"message": "Unexpected error.",
"details": "Internal server error"
}Customers
Update customer
Update the details of a customer.
PATCH
/
customers
/
{id}
/
Update customer
Authorizations
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
⌘I
